package cn.com.qmth.stmms.biz.report.service;

import cn.com.qmth.stmms.biz.report.model.ReportSubjectQuestion;
import cn.com.qmth.stmms.biz.report.query.ReportSubjectQuery;

import java.util.List;

/**
 * 客、主观题分析 service 接口
 *
 * @author xuwenjin
 * @Date 2019-04-17
 */
public interface ReportSubjectQuestionService {

    ReportSubjectQuestion save(ReportSubjectQuestion ReportSubjectQuestion);

    void deleteByExamId(Integer examId);

    List<ReportSubjectQuestion> findByQuery(ReportSubjectQuery query);

    ReportSubjectQuestion findOne(Integer examId, String subjectCode, boolean isObjective, String paperType,
            Integer mainNumber, String subNumber);

    List<ReportSubjectQuestion> findByExamIdAndSubjectCodeAndObjectiveAndPaperType(Integer examId, String subjectCode,
            boolean isObjective, String paperType);

    void deleteByExamIdAndSubjectCode(Integer examId, String subjectCode);
}
